org.apache.lucene.search.suggest.document

## Class Completion50PostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.search.suggest.document.CompletionPostingsFormat
    - - org.apache.lucene.search.suggest.document.Completion50PostingsFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class Completion50PostingsFormat
      extends CompletionPostingsFormat

  `CompletionPostingsFormat` for `org.apache.lucene.codecs.lucene50.Lucene50PostingsFormat`. This format is only used for backward-compatibility of the index format and cannot be used to write data, use `Completion84PostingsFormat` on new indices.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.suggest.document.CompletionPostingsFormat

      `CompletionPostingsFormat.FSTLoadMode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Completion50PostingsFormat()` Creates a `Completion50PostingsFormat` that will load the completion FST on-heap.
    `Completion50PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)` Creates a `Completion50PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PostingsFormat` | `delegatePostingsFormat()` Concrete implementation should specify the delegating postings format

    - ### Methods inherited from class org.apache.lucene.search.suggest.document.CompletionPostingsFormat

      `fieldsConsumer, fieldsProducer`

    - ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

      `availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Completion50PostingsFormat

          public Completion50PostingsFormat()

      Creates a `Completion50PostingsFormat` that will load the completion FST on-heap.

    - #### Completion50PostingsFormat

          public Completion50PostingsFormat(CompletionPostingsFormat.FSTLoadMode fstLoadMode)

      Creates a `Completion50PostingsFormat` that will use the provided `fstLoadMode` to determine if the completion FST should be loaded on or off heap.

  - ### Method Detail

    - #### delegatePostingsFormat

          protected PostingsFormat delegatePostingsFormat()

      Description copied from class: `CompletionPostingsFormat`
      Concrete implementation should specify the delegating postings format
      Specified by:
        `delegatePostingsFormat` in class `CompletionPostingsFormat`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.